Cannot find module y18n

cli

(El Mahdi) #1

Hi, this morning I tried to install some packages and I get a MODULE_NOT_FIND error (cannot find module ‘y18’), I tried to update npm, installing the missing module, I even reinstalled nodejs without success. here’s what I found in the log :

0 info it worked if it ends with ok
1 verbose cli [ 'C:\\Program Files\\nodejs\\node.exe',
1 verbose cli   'C:\\Users\\Mehdi\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'i',
1 verbose cli   '-g',
1 verbose cli   'gulp',
1 verbose cli   '-verbose' ]
2 info using npm@6.1.0
3 info using node@v10.7.0
4 verbose stack Error: Cannot find module 'y18n'
4 verbose stack     at Function.Module._resolveFilename (internal/modules/cjs/loader.js:581:15)
4 verbose stack     at Function.Module._load (internal/modules/cjs/loader.js:507:25)
4 verbose stack     at Module.require (internal/modules/cjs/loader.js:637:17)
4 verbose stack     at require (internal/modules/cjs/helpers.js:20:18)
4 verbose stack     at Object.<anonymous> (C:\Users\Mehdi\AppData\Roaming\npm\node_modules\npm\node_modules\cacache\lib\util\y.js:4:14)
4 verbose stack     at Module._compile (internal/modules/cjs/loader.js:689:30)
4 verbose stack     at Object.Module._extensions..js (internal/modules/cjs/loader.js:700:10)
4 verbose stack     at Module.load (internal/modules/cjs/loader.js:599:32)
4 verbose stack     at tryModuleLoad (internal/modules/cjs/loader.js:538:12)
4 verbose stack     at Function.Module._load (internal/modules/cjs/loader.js:530:3)
4 verbose stack     at Module.require (internal/modules/cjs/loader.js:637:17)
4 verbose stack     at require (internal/modules/cjs/helpers.js:20:18)
4 verbose stack     at Object.<anonymous> (C:\Users\Mehdi\AppData\Roaming\npm\node_modules\npm\node_modules\cacache\lib\entry-index.js:14:11)
4 verbose stack     at Module._compile (internal/modules/cjs/loader.js:689:30)
4 verbose stack     at Object.Module._extensions..js (internal/modules/cjs/loader.js:700:10)
4 verbose stack     at Module.load (internal/modules/cjs/loader.js:599:32)
5 verbose cwd C:\Users\Mehdi
6 verbose Windows_NT 10.0.17134
7 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\Mehdi\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js" "i" "-g" "gulp" "-verbose"
8 verbose node v10.7.0
9 verbose npm  v6.1.0
10 error code MODULE_NOT_FOUND
11 error Cannot find module 'y18n'
12 verbose exit [ 1, true ]

Thanks for your help.


(Kat Marchán) #2

Your npm is hosed. Try Installing/upgrading npm


(El Mahdi) #3

I tried but it did produce the same error. Even the npm-windows-upgrade didn’t help.


(Kat Marchán) #4

what happens if you go into the directory where npm itself is installed and do this:

C:\Users\Mehdi\AppData\Roaming\npm\node_modules\npm > npm ls y18n

Can you paste the output of that?


(El Mahdi) #5

It gives the same error & output.


(Kat Marchán) #6

At this point, I don’t know what went wrong with your tarball install. If installing from install.sh doesn’t work either (if you’re running a unix-like shell), then… yeah, I got nothing. Something went wrong with your install but I don’t know exactly what. It likely has to do with the Node installer itself, though.


(El Mahdi) #7

I’ll uninstall and install again.


(system) #8

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.